<div>
  <h2 id="page-heading" data-cy="SortieHeading">
    <span jhiTranslate="gestionPersonnel3App.sortie.home.title">Sorties</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.sortie.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-sortie"
        [routerLink]="['/sortie/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.sortie.home.createLabel"> Créer un nouveau Sortie </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="sorties?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.sortie.home.notFound">Aucun Sortie trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="sorties && sorties.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="dateSortie">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.sortie.dateSortie">Date Sortie</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="natureSortie.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.sortie.natureSortie">Nature Sortie</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.sortie.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let sortie of sorties; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/sortie', sortie.id, 'view']">{{ sortie.id }}</a>
          </td>
          <td>{{ sortie.dateSortie | formatMediumDate }}</td>
          <td>
            <div *ngIf="sortie.natureSortie">
              <a [routerLink]="['/nature-sortie', sortie.natureSortie.id, 'view']">{{ sortie.natureSortie.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="sortie.employe">
              <a [routerLink]="['/employe', sortie.employe.id, 'view']">{{ sortie.employe.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button type="submit" [routerLink]="['/sortie', sortie.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button type="submit" [routerLink]="['/sortie', sortie.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(sortie)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
